Subject: Re: Various PMac PCI patches

From: Ryan Nielsen <[email-masked]>
Date: Thu, 19 Aug 1999 23:35:30 -0700

Michel Lanners wrote:
> > isa_io_base is set to the address of bus 0 !
> > so inl() and friends use wrong address for cards on bus 1.
> 
> That's expected (and broken) behaviour right now; I know how to correct
> the problem, but I need to do some hacking to get it coded right.

What are you plannering ?

I got tulip working by #define _IO_BASE DRIVER_IO_BASE (ifdef) in asm/io.h
and define DRIVER_IO_BASE to a value from pci_io_base(bus) in tulip.c

[[ This message was sent via the linuxppc-dev mailing list.  Replies are ]]
[[ not  forced  back  to the list, so be sure to Cc linuxppc-dev if your ]]
[[ reply is of general interest. Please check http://lists.linuxppc.org/ ]]
[[ and http://www.linuxppc.org/ for useful information before posting.   ]]